List Durable Subscriptions
get
/subscriptions
Returns information about one or more durable subscriptions depending on the request parameters supplied.
Request
Query Parameters
-
clientId(optional): string
Optional. A client ID associated with the subscription.
-
subscriptionName(optional): string
Optional. The name of the subscription.
-
topicName(optional): string
Optional. The name of a topic. Note that the value of this parameter is not of the form
/topics/name, but is only the name part of that form, since durable subscriptions only apply to topics.
Response
200 Response
Returns information about one or more durable subscriptions depending on the request parameters supplied.
400 Response
Error Codes:
disallowedSubscriptionLookup: A combination of thesubscriptionName,clientId, andtopicNameparameters has been supplied that is not one of those listed earlier.destinationParameterNotFound: ThetopicNameparameter was specified, but there is no topic by that name in the namespace.subscriptionNotFoundFull: A client ID and subscription name were specified in the request, but no such subscription exists.
500 Response
Error Codes:
operationFailed:A low-level exception occurred.
Examples
cURL Command
cookie=/tmp/messaging-cookie
curl -s -u $USER:$PASS -c $cookie -b $cookie \
-H "X-OC-ID-TOKEN-STATUS: disabled" \
-X GET "https://messaging.us2.oraclecloud.com/myService-myTenant/api/v1/subscriptions"
There is no request body to submit with the HTTP request.
Example of Response Body
<subscriptions>
<items>
<clientId>myFirstClientId</clientId>
<name>myFirstSubscription</name>
<topic>myFirstTopic</topic>
<canonicalLink>/myService-myTenant/api/v1/subscriptions/myFirstSubscription?clientId=myFirstClientId</canonicalLink>
</items>
<canonicalLink>/myService-myTenant/api/v1/subscriptions</canonicalLink>
</subscriptions>
Back to Top